unit Unit187;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants, 
  FMX.Types, FMX.Graphics, FMX.Controls, FMX.Forms, FMX.Dialogs, FMX.StdCtrls,
  FMXTee.Engine, FMXTee.Procs, FMXTee.Chart, FMXTee.Canvas;

type
  TForm187 = class(TForm)
    Chart1: TChart;
    Button1: TButton;
    CheckBox1: TCheckBox;
    procedure Button1Click(Sender: TObject);
    procedure CheckBox1Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form187: TForm187;

implementation

{$R *.fmx}

procedure TForm187.Button1Click(Sender: TObject);
var b : TBitmap;
    tmp : TBitmapData;
begin
  b:=TBitmap.Create(2,2);

  if b.Map(TMapAccess.maWrite,tmp) then
  try
    tmp.SetPixel(0,0,TAlphaColors.Red);
    tmp.SetPixel(0,1,TAlphaColors.Green);
    tmp.SetPixel(1,0,TAlphaColors.Blue);
    tmp.SetPixel(1,1,TAlphaColors.Yellow);
  finally
    b.Unmap(tmp);
  end;

  Chart1.DelphiCanvas.BeginScene;
  Chart1.Canvas.StretchDraw(Chart1.AbsoluteRect,b);
  Chart1.DelphiCanvas.EndScene;
end;

procedure TForm187.CheckBox1Change(Sender: TObject);
begin
  if CheckBox1.IsChecked then
     Chart1.Canvas.StretchDrawQuality:=sqHigh
  else
     Chart1.Canvas.StretchDrawQuality:=sqLow;
end;

end.
